Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.ComplianceEngine Class Reference

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static void | enableHandleTransparency (boolean enable_handle_transparency) throws com.foxit.sdk.PDFException
| Set a flag to decide whether to enable transparency handling. More...
static int | initialize (String compliance_resource_folder_path, String compliance_engine_unlockcode)
| Initialize compliance engine. More...
static int | initializeThreadContext ()
| Initialize compliance context for a new thread. More...
static void | release ()
| Release compliance engine. More...
static void | releaseThreadContext ()
| Release compliance context of the thread. More...
static void | setLanguage (String language) throws com.foxit.sdk.PDFException
| Set language for compliance engine. More...
static void | setTempFolderPath (String temp_folder_path) throws com.foxit.sdk.PDFException
| Set the temporary folder for compliance engine. More...

## Static Public Attributes
static final int | e_ViewOrPrintConditionAuto = 0
| Viewing or printing condition: Auto.
static final int | e_ViewOrPrintConditionCoatedGRACoL2006 = 1
| Viewing or printing condition:Coated GRACoL 2006.
static final int | e_ViewOrPrintConditionISOCoatedv2ECI = 2
| Viewing or printing condition:ISO Coated v2 (ECI).
static final int | e_ViewOrPrintConditionJapanColor2001Coated = 3
| Viewing or printing condition:Japan Color 2001 Coated.
static final int | e_ViewOrPrintConditionPSOCoatedv3ECI = 4
| Viewing or printing condition: PSO Coated v3 (ECI).

## Detailed Description

Compliance module can be used to verify if a PDF file matches a specified industry standard version (e.g. one of PDF/A version) or convert a PDF file to a specified industry standard version (e.g. one of PDF/A version). Before initializing compliance engine and using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.initialize with a key including "Compliance" module.

See also
  com.foxit.sdk.common.Library

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.ComplianceEngine.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ enableHandleTransparency()

static void com.foxit.sdk.addon.compliance.ComplianceEngine.enableHandleTransparency | ( | boolean | enable_handle_transparency | ) | throws com.foxit.sdk.PDFException
| static

Set a flag to decide whether to enable transparency handling.

Parameters

  [in] | enable_handle_transparency | true means that transparency handling is enabled, which detects and removes transparency from graphical objects during conversion. false means it is disabled. Default value: false.

Returns
  None.

## ◆ initialize()

static int com.foxit.sdk.addon.compliance.ComplianceEngine.initialize | ( | String | compliance_resource_folder_path,
|  | String | compliance_engine_unlockcode
| ) |  |
| static

Initialize compliance engine.

This should be called successfully before any other methods in compliance add-on module.

Parameters

  [in] | compliance_resource_folder_path | A complete path to compliance resource folder. This should not be an empty string.
  [in] | compliance_engine_unlockcode | The unlock code for compliance engine. If an authorization key is used for Foxit PDF SDK, please pass a valid unlock code string to initialize compliance engine. If a trial key is used for Foxit PDF SDK, this parameter will be ignored. Just pass an empty string.

Returns
  com.foxit.sdk.common.Constants.e_ErrSuccess means success.
  com.foxit.sdk.common.Constants.e_ErrNoComplianceModuleRight means Foxit PDF SDK has not been initialized with a key including "Compliance" module.
  com.foxit.sdk.common.Constants.e_ErrParam means parameter compliance_resource_folder_pathis an empty string, or parameter compliance_engine_unlockcode is an empty string when an authorization key is used for Foxit PDF SDK.
  com.foxit.sdk.common.Constants.e_ErrFilePathNotExist means parameter compliance_resource_folder_path does not exist or no library for compliance engine can be found under this folder.
  com.foxit.sdk.common.Constants.e_ErrComplianceEngineInvalidUnlockCode means parameter compliance_engine_unlockcode is an invalid unlock code for compliance engine when an authorization key is used for Foxit PDF SDK.
  For more information about error code values, please refer to values starting from com.foxit.sdk.common.Constants.e_ErrSuccess .

Note
  If module "Compliance" is not defined in the license information which is used in function common.Library.initialize , that means user has no right in using compliance related functions and this constructor will throw exception com.foxit.sdk.common.Constants.e_ErrNoComplianceModuleRight .

## ◆ initializeThreadContext()

static int com.foxit.sdk.addon.compliance.ComplianceEngine.initializeThreadContext | ( |  | ) |
| static

Initialize compliance context for a new thread.

The compliance engine provides thread-safety per default. This should be called successfully for each thread before any other methods in compliance add-on module for multithreading. It is recommended to use a fixed amount of SDK threads (e.g. min=4, max=system-hardware-concurrency). Creating more threads then CPU cores exist will degrade the overall performance. The threads should be re-used as long as possible.

Returns
  com.foxit.sdk.common.Constants.e_ErrSuccess means success.
  com.foxit.sdk.common.Constants.e_ErrNoComplianceModuleRight means Foxit PDF SDK has not been initialized with a key including "Compliance" module.
  com.foxit.sdk.common.Constants.e_ErrComplianceEngineInvalidUnlockCode means parameter compliance_engine_unlockcode is an invalid unlock code for compliance engine when an authorization key is used for Foxit PDF SDK.
  For more information about error code values, please refer to values starting from com.foxit.sdk.common.Constants.e_ErrSuccess .

Note
  If module "Compliance" is not defined in the license information which is used in function common.Library.initialize , that means user has no right in using compliance related functions and this function will throw exception com.foxit.sdk.common.Constants.e_ErrNoComplianceModuleRight .

## ◆ release()

static void com.foxit.sdk.addon.compliance.ComplianceEngine.release | ( |  | ) |
| static

Release compliance engine.

This function can be called to release compliance engine when no need to use it any more before Foxit PDF SDK is released.

Returns
  None.

## ◆ releaseThreadContext()

static void com.foxit.sdk.addon.compliance.ComplianceEngine.releaseThreadContext | ( |  | ) |
| static

Release compliance context of the thread.

This function will release compliance context of the thread when no need to use it any more before Foxit PDF SDK is released in the thread. It should be called from the same thread that called compliance.ComplianceEngine.initializeThreadContext .

Returns
  None.

## ◆ setLanguage()

static void com.foxit.sdk.addon.compliance.ComplianceEngine.setLanguage | ( | String | language | ) | throws com.foxit.sdk.PDFException
| static

Set language for compliance engine.

Setting a language to compliance engine will have affect on all the strings which are returned with com.foxit.sdk.addon.compliance.ResultInformation or through callback class com.foxit.sdk.addon.compliance.ProgressCallback . If no language name is set by this function, "English" will be used as default.

Parameters

  [in] | language | Language name. This cannot be an empty string and should be one of following language name: "Czech", "Danish", "Dutch", "English", "French", "Finnish", "German", "Italian", "Norwegian", "Polish", "Portuguese", "Spanish", "Swedish", "Chinese-Simplified", "Chinese-Traditional", "Japanese", "Korean". For other language name, this function will do nothing.

Returns
  None.

## ◆ setTempFolderPath()

static void com.foxit.sdk.addon.compliance.ComplianceEngine.setTempFolderPath | ( | String | temp_folder_path | ) | throws com.foxit.sdk.PDFException
| static

Set the temporary folder for compliance engine.

The compliance engine may generate temporary files during processing (e.g., for verification or conversion tasks). This function allows specifying a custom storage location. If not set, a default temporary folder will be created in the application's root directory and used for temporary files.

Parameters

  [in] | temp_folder_path | Complete path to the temporary directory. This should be a valid path and should not be an empty string.

Returns
  None.